fastlane documentation
----

# Installation

Make sure you have the latest version of the Xcode command line tools installed:

```sh
xcode-select --install
```

For _fastlane_ installation instructions, see [Installing _fastlane_](https://docs.fastlane.tools/#installing-fastlane)

# Available Actions

### sh_on_root

```sh
[bundle exec] fastlane sh_on_root
```



### fetch_dependencies

```sh
[bundle exec] fastlane fetch_dependencies
```



### build_autogenerated_code

```sh
[bundle exec] fastlane build_autogenerated_code
```



### update_pr_description

```sh
[bundle exec] fastlane update_pr_description
```



### update_jira_ticket

```sh
[bundle exec] fastlane update_jira_ticket
```



----


## Android

### android build_apk

```sh
[bundle exec] fastlane android build_apk
```



### android deploy_apk

```sh
[bundle exec] fastlane android deploy_apk
```



### android get_latest_firebase_release_url

```sh
[bundle exec] fastlane android get_latest_firebase_release_url
```



### android update_release_url

```sh
[bundle exec] fastlane android update_release_url
```



----

This README.md is auto-generated and will be re-generated every time [_fastlane_](https://fastlane.tools) is run.

More information about _fastlane_ can be found on [fastlane.tools](https://fastlane.tools).

The documentation of _fastlane_ can be found on [docs.fastlane.tools](https://docs.fastlane.tools).
